> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorize Quickbooks OAuth flow

> This API call begins an OAuth flow to connect a Quickbooks account to a business. It will manage the CSRF token state internally and this API call will return the redirect URL for the OAuth flow.



## OpenAPI

````yaml post /v1/businesses/{businessId}/quickbooks/authorize
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/quickbooks/authorize:
    post:
      tags: []
      summary: Authorize Quickbooks OAuth flow
      description: >-
        This API call begins an OAuth flow to connect a Quickbooks account to a
        business. It will manage the CSRF token state internally and this API
        call will return the redirect URL for the OAuth flow.
      operationId: business.quickbooks.authorize.post
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to authorize Quickbooks for.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuickbooksAuthorizationParams'
        '404':
          description: >-
            Business id is not found. This indicates the business id is invalid
            or the business has been archived.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    QuickbooksAuthorizationParams:
      type: object
      properties:
        redirect_url:
          type: string
          format: uri
      required:
        - redirect_url
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````